# Vanilla Plus

Totally Accurate Battle Simulator has very boring combat. This mod changes weaker units to be more interesting to watch, making all the difference in large-scale battles! Movement has also been tweaked to be a bit floatier, with the walking animation also changed to be more exaggerated!

If you don't know what the 2.0 Animation System is, essentially, Totally Accurate Battle Simulator has gone through three animation systems; the first was 1.0, which is used in the alphas released years ago. The second was 2.0, one adored by the community for the combat and floatiness units had.

Unfortunately, it was very poorly coded, so ultimately they remade the animation system once again, which leaves us with the 3.0 Animation System. Although its a massive improvement in many ways, it leaves much to be desired, which is what this mod changes; units are now up to par with what they were like in 2.0.

Below are some clips from the 2.0 Animation System:

https://www.youtube.com/watch?v=UGL__9uaLCU

https://www.youtube.com/watch?v=KUQtbxQd-Y0

https://www.youtube.com/watch?v=v14nTS-wTuA

https://www.youtube.com/watch?v=IHkgtDwRSfc

https://www.youtube.com/watch?v=zd9OnYslAeU

### If you have trouble with the mod, or if you just want to chat, you can join the [TABS Mod Center](https://discord.gg/zrs44qyp7S).

### This mod is [**open source**](https://github.com/donkeyrat/VanillaPlus).

## How To Use

Upon installation, you will notice numerous vanilla units have been changed, including in the main menu. There are also three new secret units from the 2.0 version of Totally Accurate Battle Simulator.

## Secret Units

Just like in the Hidden Units mod, you must find these units spread out across the maps.

| Unit  | Location| Description |
|--|--|--|
| **Skewer Thrower** | *Farmer 1* | A skewer-wielding farmer that fills up the niche the Spear Thrower left behind after its rework. They will stop at nothing to get a fine unit on their skewers. |
| **Marauder** | *Medieval 2* | A tough knight wielding a powerful ball and chain. They are weak to projectiles, but it takes quite the force to stop the swing of their flail. |
| **Nunchucks** | *Dynasty* | A flipping, spinning, floppy ninja with two nunchucks. They take full advantage at the new movement opportunities the Vanilla+ mod's movement system opens up. |

## Modified Units

Minor balancing changes may not be noted.

| Unit  | Modification |
|--|--|
| **All wobbler/stiffy units** | All units in the game with wobbler or skeleton unit bases have been tweaked to be floatier, along with more exaggerated walking animations. This includes giants, and modded unit bases. Certain units with shields now have shield blocks. |
| **Spear Thrower** | The Spear Thrower has been renamed to the Hunter, and is now a melee unit. In addition, its health has been increased, and it has received an armband. |
| **Squire** | The Squire's clothes have been changed to better resemble the 2.0 Squire, and it now wields a one-handed sword, which it uses to parry. Its health was also increased. |
| **Archer** | The Archer now pulls its bow back harder, and its fire rate has been improved as well. |
| **Knight** | The Knight's shield now presses onto enemy weapons to block attacks, and it swings its sword with more ferocity. It now costs 700. |
| **Catapult** | The Catapult's fire rate has been improved, as well as its explosion damage and radius. It also deals damage as it rolls, and leaves dust particles. |
| **Shield Bearer** | The Shield Bearer now holds its shield higher and walks slower. Its health has also been raised. |
| **Sarissa** | The Sarissa now walks slower and has slightly higher health. It can also aim better. |
| **Hoplite** | The Hoplite's spear aim has been reworked, as well as minor tweaks to its shield and visual appearance. It now costs 200. |
| **Snake Archer** | The Snake Archer can now fire slightly faster and pulls its bow back harder. It has also received snakes in its quiver. |
| **Minotaur** | The Minotaur has received new weapons, the Minotaur Axes. Its health has been increased as well. |
| **Zeus** | Zeus can now throw his thunderbolts farther, and throws them half a second faster. They also chain much better, and deal slightly more damage. He now costs 3000. |
| **Brawler** | The Brawler is more ferocious in how it swings its axe, and blocks with its shield more effectively. It now costs 200. |
| **Jarl** | The Jarl now swings its axe differently, and its enrage ability has been nerfed to last three seconds. It now costs 1200. |
| **Samurai** | The Samurai has received new clothing, and its fighting style has been reworked. It also has a dodge, but its health has been reduced. It now costs 150. |
| **Monk** | The Monk now swings its staff more gracefully and is more agile overall, but has less health. |
| **Monkey King** | The Monkey King swings its staff more gracefully, and can spawn clones when hitting the ground. Its clones now have a 50% chance of summoning clones of their own. It now costs 3000. |
| **Fencer** | The Fencer's dodge has been tweaked, and its fighting style has been improved. |
| **Halberd** | The Halberd now holds its weapon more accurately, and sweeps it to the side. |
| **Captain** | The Captain is now taller, and aims its flintlock more effectively. Its sword has received a fighting style rework as well, and its health has been increased. It now costs 1800. |
| **Pirate Queen** | The Pirate Queen has received a health nerf. |
| **Vampire** | The Vampire has received a new hair model and bat model. The bat also properly looks at enemy units rather than being jittery. Moreover, its human and bat forms have received black and red eyes. It now costs 300. |
| **Swordcaster** | The Swordcaster's clothes have been recolored and its bowlcut has been replaced with blue fire hair. Its eyes now glow and its sword also glows, and has an on-hit effect. In addition, its swords go through shields and armor, and cannot be blocked by most projectile blocking units. |
| **Boxer** | The Boxer now has a block, and is more effective at taking down stronger units with more health, while much worse at dealing with crowds. In addition, its health has been increased. |
| ***SUPER BOXER*** | The Super Boxer's special ability has been removed. It now flies forward while punching more and generally has better accuracy, and more health. |
| ***DARK PEASANT*** | The Dark Peasant has received a complete revamp; it has new clothing, abilities, and weapons. It now uses orbs to attack, and its hands have been de-emphasized. At long ranges it can summon beams of darkness on enemies. When it takes a lot of damage, it can release a burst of spikes and darkness from itself. When it dies, it turns to dust. |
| ***SUPER PEASANT*** | The Super Peasant has received some light visual tweaks as well as a speed nerf and a new ability, which causes it to duplicate every few moments. When it dies, it explodes into light. |
| **Teacher** | The Teacher's clothing coloring has been fixed, and it can now parry more weapons than the upgraded Squires. It has a much better fighting style as well. It now costs 500. |
| ***ICE GIANT*** | The Ice Giant has received a visual upgrade, and its punches are more impactful and freeze units. The ice breath also takes longer to activate. |

## Changelog

The mod's [**Github**](https://github.com/donkeyrat/VanillaPlus) is now the only place to view the full changelog.

## Credits

This mod was created by Team Grad, an ambitious mod team that aims to improve the game through adding a plethora of new content.

**BD - Coder/Owner**

**Terren - Modeler/Icon Artist**

**DoorKnob - Icon Artist**

## Gallery

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015796820892454912/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015790606775226501/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1041298280803479612/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1041299534313168916/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1041300145339383808/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1041300315372265524/image.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015791290098655312/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015794123694936104/unknown.png)
 
![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015794401815056464/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015794787967832144/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015795069619548240/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015795466744647760/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015795650249637949/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015795854797443082/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015796353240141834/unknown.png)

![enter image description here](https://cdn.discordapp.com/attachments/651812532746584085/1015797165999784046/unknown.png)